summarylogtreecommitdiffstats
path: root/seeks.rc.d
diff options
context:
space:
mode:
authorVincent Bernardoff2015-06-27 09:51:49 +0200
committerVincent Bernardoff2015-06-27 09:51:49 +0200
commiteaada84e860082d9ff582ec7ed83cba92eab1caa (patch)
tree42ca8e04fef74fdc05406b1b6ca9f3db60c7b485 /seeks.rc.d
downloadaur-seeks-git.tar.gz
Initial import
Diffstat (limited to 'seeks.rc.d')
-rw-r--r--seeks.rc.d57
1 files changed, 57 insertions, 0 deletions
diff --git a/seeks.rc.d b/seeks.rc.d
new file mode 100644
index 000000000000..67de9251a54f
--- /dev/null
+++ b/seeks.rc.d
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/seeks
+
+PIDFILE="/var/run/seeks.pid"
+
+if [[ -f $PIDFILE ]]; then
+ read -r PID < "$PIDFILE"
+
+ # prevent stale pidfiles from hanging around
+ if [[ ! -d /proc/$PID ]]; then
+ echo 'pid not found. deleteing stale pidfile'
+ unset PID
+ rm -f "$PIDFILE"
+ fi
+fi
+
+case "$1" in
+ start)
+ stat_busy "Starting Seeks"
+ if [[ $PID ]]; then
+ stat_fail
+ exit 1
+ fi
+ if /usr/bin/seeks --daemon --pidfile "$PIDFILE" --user $SEEKS_USER $SEEKS_ARGS $SEEKS_CONFIG 2>&1 > /dev/null; then
+ add_daemon seeks
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Seeks"
+ if [[ ! $PID ]]; then
+ stat_fail
+ exit 1
+ fi
+ if { kill $PID && rm -f "$PIDFILE"; } &>/dev/null; then
+ rm_daemon seeks
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+